# PSF-LoginServer - master - net.psforever.objects.serverobject.tube.SpawnTube
PSF - LoginServer - master - net.psforever.objects.serverobject.tube.SpawnTube
Keywords: PSF LoginServer master net.psforever.objects.serverobject.tube.SpawnTube

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package tube
  Definition Classes
    serverobject
- SpawnTube
- SpawnTubeControl
- SpawnTubeDefinition

o

net.psforever.objects.serverobject.tube

# SpawnTube 

###
Companion class SpawnTube

#### object SpawnTube

Source
  SpawnTube.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpawnTube
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Constructor(pos: Vector3, tdef: SpawnTubeDefinition, orient: Vector3)(id: Int, context: ActorContext): SpawnTube

   Instantiate an configure a `SpawnTube` object with the given definition

   Instantiate an configure a `SpawnTube` object with the given definition

   pos

     the position (used to determine spawn point)

   tdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

   orient

     the orientation (used to indicate spawn direction)

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `SpawnTube` object

5.  def Constructor(pos: Vector3, orient: Vector3)(id: Int, context: ActorContext): SpawnTube

   Instantiate an configure a `SpawnTube` object

   Instantiate an configure a `SpawnTube` object

   pos

     the position (used to determine spawn point)

   orient

     the orientation (used to indicate spawn direction)

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `SpawnTube` object

6.  def apply(tDef: SpawnTubeDefinition): SpawnTube

   Overloaded constructor.

   Overloaded constructor.

   tDef

     the spawn tube's definition entry

   returns

     a `SpawnTube` object

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped